Package com.orchestranetworks.userservice

# Class UserServiceNext

java.lang.Object
com.orchestranetworks.userservice.UserServiceNext

public final class UserServiceNext extends Object
This class provides static methods to create standard outcome values specifying what to do next.

Since:
  5.8.0
See Also:
  - `UserServiceEvent.processEvent(UserServiceEventContext)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserServiceNext()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static UserServiceEventOutcome`
  `nextClose()`
  The user will be redirected to the previous selection.
  `static UserServiceEventOutcome`
  `nextClose(String aJavaScriptCommandIfPopup)`
  If the service is opened in a popup, will execute the JavaScript code before closing the popup.
  `static UserServiceEventOutcome`
  `nextService(ServiceKey aServiceKey)`
  The current user service will close and a new one will be displayed.
  `static UserServiceEventOutcome`
  `nextService(ServiceKey aServiceKey, Adaptation aRecordOrDataSet)`
  The current user service will close, the specified record or dataset will be selected and the specified service started.
  `static UserServiceEventOutcome`
  `nextService(ServiceKey aServiceKey, AdaptationHome aDataSpaceOrSnapshot)`
  The current user service will close, the specified dataspace or snapshot will be selected and the specified service started.
  `static UserServiceEventOutcome`
  `nextService(ServiceKey aServiceKey, AdaptationTable aTable)`
  The current user service will close, the specified table will be selected and the specified service started.
  `static UserServiceEventOutcome`
  `nextTableView(Adaptation aDataSet, String aTableViewPublicationId)`
  The current user service will close and the specified table view will be selected.
  `static UserServiceEventOutcome`
  `nextURL(String anURL)`
  The current user service will close and user will be redirected.
  `static UserServiceEventOutcome`
  `nextWorkflowView(WorkflowView aWorkflowView)`
  The current user service will close and a workflow view will be selected.
  `static UserServiceEventOutcome`
  `nextWorkItem(WorkItemKey aWorkItemKey)`
  The current user service will close and the work item be selected.
  `static UserServiceEventOutcome`
  `nextWorkItem(WorkItemKey aWorkItemKey, boolean startWorkItem)`
  The current user service will close and the work item be selected.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UserServiceNext

    public UserServiceNext()

- ## Method Details

  - ### nextClose

    public static UserServiceEventOutcome nextClose()
    The user will be redirected to the previous selection.
    Returns:
      the event outcome.

  - ### nextClose

    public static UserServiceEventOutcome nextClose(String aJavaScriptCommandIfPopup)
    If the service is opened in a popup, will execute the JavaScript code before closing the popup.

    If the service is not opened in a popup, the user will be redirected to the previous selection.

    Parameters:
      `aJavaScriptCommandIfPopup` - The JavaScript code to execute. This parameter is ignored if the user service is not opened in a popup. Parent windows can be accessed from the JavaScript code using the property `window.parent`.
    Returns:
      the event outcome.

  - ### nextService

    public static UserServiceEventOutcome nextService(ServiceKey aServiceKey)
    The current user service will close and a new one will be displayed. Current service selection is unchanged.

    This method requires that the service to be displayed is implemented using the UserService API. For other other type of services, including built-ins, use one of the other variants of method `nextService()`.

    Parameters:
      `aServiceKey` - the key for the service to display. This service must be implemented using the UserService API.

  - ### nextService

    public static UserServiceEventOutcome nextService(ServiceKey aServiceKey, AdaptationHome aDataSpaceOrSnapshot)
    The current user service will close, the specified dataspace or snapshot will be selected and the specified service started.
    Parameters:
      `aServiceKey` - the service key.
      `aDataSpaceOrSnapshot` - the dataspace or snapshot.

  - ### nextService

    public static UserServiceEventOutcome nextService(ServiceKey aServiceKey, Adaptation aRecordOrDataSet)
    The current user service will close, the specified record or dataset will be selected and the specified service started.
    Parameters:
      `aServiceKey` - the service key.
      `aRecordOrDataSet` - the record or dataset.

  - ### nextService

    public static UserServiceEventOutcome nextService(ServiceKey aServiceKey, AdaptationTable aTable)
    The current user service will close, the specified table will be selected and the specified service started.
    Parameters:
      `aServiceKey` - the service key.
      `aTable` - the table.

  - ### nextTableView

    public static UserServiceEventOutcome nextTableView(Adaptation aDataSet, String aTableViewPublicationId)
    The current user service will close and the specified table view will be selected.
    Parameters:
      `aDataSet` - the dataset that contains the table.
      `aTableViewPublicationId` - the publication id of the table view.

  - ### nextWorkItem

    public static UserServiceEventOutcome nextWorkItem(WorkItemKey aWorkItemKey)
    The current user service will close and the work item be selected.
    Parameters:
      `aWorkItemKey` - the work item key.

  - ### nextWorkItem

    public static UserServiceEventOutcome nextWorkItem(WorkItemKey aWorkItemKey, boolean startWorkItem)
    The current user service will close and the work item be selected.
    Parameters:
      `aWorkItemKey` - the work item key.
      `startWorkItem` - if `true`, and if necessary, the work item will automatically be allocated and started for the current user.

  - ### nextWorkflowView

    public static UserServiceEventOutcome nextWorkflowView(WorkflowView aWorkflowView)
    The current user service will close and a workflow view will be selected.
    Parameters:
      `aWorkflowView` - the workflow view to select.

  - ### nextURL

    public static UserServiceEventOutcome nextURL(String anURL)
    The current user service will close and user will be redirected.
    Parameters:
      `anURL` - the URL to redirect the user to.
    Since:
      5.8.1